
<template>
  <div class="wrapper" >
    <notifications></notifications>
    <side-bar >
      <template slot="links">
        <sidebar-item v-if="user_role != 12"
          :link="{
            name: 'Dashboards',
            icon: 'ni ni-shop text-white',
          }">
          <sidebar-item
            :link="{ name: 'Consolidated Dashboard', path: '/consolidatedDashboard' }"></sidebar-item>
          <!-- <sidebar-item
            :link="{ name: 'Overview Dashboard', path: '/overviewDashboard' }"></sidebar-item> -->
          <!-- <sidebar-item
            :link="{ name: 'Project Dashboard - W.I.P', path: '/projectListing' }"></sidebar-item>
          <sidebar-item
            :link="{ name: 'Group Dashboard - W.I.P', path: '/projectListing' }"></sidebar-item>
          <sidebar-item
            :link="{ name: 'Site Dashboard - W.I.P', path: '/projectListing' }"></sidebar-item> -->
        </sidebar-item>

        <sidebar-item v-if="user_role != 12"
          :link="{
            name: 'Project-Group-Site',
            icon: 'ni ni-building text-green',

          }">
          <sidebar-item v-if="project_module.project_listing == 'YES'"
            :link="{ name: 'Project', path: '/projectListing' }">
          </sidebar-item>
          <sidebar-item v-if="project_module.project_group_listing == 'YES'"
            :link="{ name: 'Project Group', path: '/projectGroupListing' }">
          </sidebar-item>
          <sidebar-item v-if="project_module.project_site_listing == 'YES'"
            :link="{ name: 'Project Site', path: '/projectSiteListing' }">
          </sidebar-item>
        </sidebar-item>

        <sidebar-item
          :link="{
            name: 'Transaction',
            icon: 'ni ni-bullet-list-67 text-black',

          }">
          <sidebar-item v-if="site_transaction_module.site_task_listing == 'YES'"
            :link="{ name: 'Site Task', path: '/TaskListing' }">
          </sidebar-item>
          <sidebar-item v-if="site_transaction_module.site_document_listing == 'YES'"
            :link="{ name: 'Site Document', path: '/siteDocumentListing' }">
          </sidebar-item>
        </sidebar-item>

        <sidebar-item v-if="user_role == 1 || user_role == 3 || user_role == 9 || user_role == 10 || user_role == 15"
          :link="{
            name: 'Setup',
            icon: 'ni ni-folder-17 text-red',
          }">
          <sidebar-item v-if="setup_module.developer_listing == 'YES'"
            :link="{ name: 'Developer', path: '/setups/developerListing' }">
          </sidebar-item>
          <sidebar-item v-if="setup_module.contractor_listing == 'YES'"
            :link="{ name: 'Contractor', path: '/setups/contractorListing' }">
          </sidebar-item>
          <sidebar-item v-if="setup_module.user_listing == 'YES'"
            :link="{ name: 'User', path: '/setups/UserListing' }">
          </sidebar-item>
          <sidebar-item v-if="setup_module.project_type_listing == 'YES'"
            :link="{ name: 'Project Type', path: '/setups/projectTypeListing' }">
          </sidebar-item>
          <sidebar-item v-if="setup_module.project_category_listing == 'YES'"
            :link="{ name: 'Project Category', path: '/setups/projectCategoryListing' }">
          </sidebar-item>
          <!-- <sidebar-item
            :link="{ name: 'Import Task & Document', path: '/importNew' }">
          </sidebar-item> -->
        </sidebar-item>

        <sidebar-item :link="{
                        name: 'Template',
                        icon: 'ni ni-collection text-blue'
                      }" v-if="user_role == 1 || user_role == 3 || user_role == 9 || user_role == 10 || user_role == 15">
          <sidebar-item v-if="template_module.milestone_template_listing == 'YES'"
          :link="{ name: 'Milestone Template', path: '/templates/milestoneTemplateListing' }"/>

          <sidebar-item v-if="template_module.task_template_listing == 'YES'"
          :link="{ name: 'Site Task Template', path: '/templates/taskTemplateListing' }"/>

          <sidebar-item v-if="template_module.document_template_listing == 'YES'"
          :link="{ name: 'Site Document Template', path: '/templates/documentTemplateListing' }"/>

          <sidebar-item v-if="template_module.project_task_template_listing == 'YES'"
          :link="{ name: 'Project Task Template', path: '/templates/ProjectTaskTemplateListing' }"/>

          <sidebar-item v-if="template_module.project_document_template_listing == 'YES'"
          :link="{ name: 'Project Document Template', path: '/templates/projectDocumentTemplateListing' }"/>

        </sidebar-item>
        <!-- {{template_module}} -->
      </template>

      <!-- <template slot="links-after" >
        <hr class="my-3" >
        <h6 class="navbar-heading p-0 text-muted" style="background-color: #0c765a;" >Documentation</h6>

        <b-nav class="navbar-nav mb-md-3" style="background-color: #0c765a;">
          <b-nav-item href="https://www.creative-tim.com/learning-lab/bootstrap-vue/quick-start/argon-dashboard">

              <i class="ni ni-spaceship text-white"></i>
              <b-nav-text class="p-0" style="color: white;">Getting started</b-nav-text>
          </b-nav-item>
          <b-nav-item href="https://www.creative-tim.com/learning-lab/bootstrap-vue/colors/argon-dashboard">

              <i class="ni ni-palette"></i>
              <b-nav-text class="p-0">Foundation</b-nav-text>
          </b-nav-item>
          <b-nav-item href="https://www.creative-tim.com/learning-lab/bootstrap-vue/avatar/argon-dashboard">

              <i class="ni ni-ui-04"></i>
              <b-nav-text class="p-0">Components</b-nav-text>
          </b-nav-item>
          <b-nav-item href="https://www.creative-tim.com/learning-lab/bootstrap-vue/charts/argon-dashboard">
              <i class="ni ni-chart-pie-35"></i>
              <b-nav-text class="p-0">Plugins</b-nav-text>
          </b-nav-item>
        </b-nav>
      </template> -->

    </side-bar>
    <div class="main-content">
      <dashboard-navbar :type="$route.meta.navbarType"></dashboard-navbar>

      <div @click="$sidebar.displaySidebar(false)">
        <fade-transition :duration="200" origin="center top" mode="out-in">
          <!-- your content here -->
          <router-view></router-view>
        </fade-transition>
      </div>
      <content-footer v-if="!$route.meta.hideFooter"></content-footer>
    </div>
  </div>
</template>
<script>
  /* eslint-disable no-new */
  import PerfectScrollbar from 'perfect-scrollbar';
  import 'perfect-scrollbar/css/perfect-scrollbar.css';

  function hasElement(className) {
    return document.getElementsByClassName(className).length > 0;
  }

  function initScrollbar(className) {
    if (hasElement(className)) {
      new PerfectScrollbar(`.${className}`);
    } else {
      // try to init it later in case this component is loaded async
      setTimeout(() => {
        initScrollbar(className);
      }, 100);
    }
  }

  import DashboardNavbar from './DashboardNavbar.vue';
  import ContentFooter from './ContentFooter.vue';
  import DashboardContent from './Content.vue';
  import { FadeTransition } from 'vue2-transitions';
  import {LoginURL, clientId, clientSecret, apiDomain, getHeader, getcurrentDate} from '@/assets/js/config.js'
  import axios from 'axios'
  import ErrorFunctionMixin from '@/assets/js/errorFunctionMix.js'
  import loginFunctionMix from '@/assets/js/loginFunctionMix.js'

  export default {
    mixins: [ErrorFunctionMixin, loginFunctionMix],
    components: {
      DashboardNavbar,
      ContentFooter,
      DashboardContent,
      FadeTransition
    },
    created(){
      //var project_category_access = JSON.parse(window.localStorage.getItem('project_category_access'))
      //this.setup_module.project_category_listing = project_category_access.access_listing
      this.getLoginUserRoleAccessMenu()
      var userInfo = JSON.parse(window.localStorage.getItem('loginUser'))
      this.user_role = userInfo.role_id
    },
    data(){
      return {
        user_role: null,
        setup_modules: [
          {
            developer_module: null,
            developer_listing: 0,
          },
        ],
      }
    },
    methods: {

      initScrollbar() {
        let isWindows = navigator.platform.startsWith('Win');
        if (isWindows) {
          initScrollbar('sidenav');
        }
      }
    },
    mounted() {
      this.initScrollbar()
    }
  };
</script>
<style lang="scss">
</style>
